using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Database.Repository;

namespace Pos.Setting
{
    /// <summary>
    /// Interaction logic for DeleteEmployeeWindow.xaml
    /// </summary>
    public partial class DeleteEmployeeWindow : Window
    {
        private int _employeeId;

        public DeleteEmployeeWindow(int employeeId, string staffName)
        {
            InitializeComponent();
            _employeeId = employeeId;
            txtDelEmployee.Text = staffName;
        }

        private void btnYes_Click(object sender, RoutedEventArgs e)
        {
            EmployeeRepository employeeRepository = new EmployeeRepository();
            employeeRepository.Delete(_employeeId);
            this.Close();
        }

        private void btnNo_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
